org.eclipse.graphiti.features.context

## Interface IMoveAnchorContext

All Superinterfaces:
  IContext, ILocationContext, IMoveContext, IPropertyBag

All Known Implementing Classes:
  AreaAnchorContext

    public interface IMoveAnchorContext
    extends IMoveContext

The Interface IMoveAnchorContext.

### Method Summary

All Methods Instance Methods Abstract Methods
`Anchor` `getAnchor()` Gets the anchor.
`AnchorContainer` `getSourceContainer()` Gets the source container.
`AnchorContainer` `getTargetContainer()` Gets the target container.

### Methods inherited from interface org.eclipse.graphiti.features.context.ILocationContext

`getX, getY`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

### Method Detail

#### getAnchor

    Anchor getAnchor()

Gets the anchor.

Returns:
  the anchor

#### getTargetContainer

    AnchorContainer getTargetContainer()

Gets the target container.

Returns:
  the target container

#### getSourceContainer

    AnchorContainer getSourceContainer()

Gets the source container.

Returns:
  the source container